extern bool TestFile=false;
extern int tf=1;
int init() {return(0);}

//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit() {return(0); }


//+------------------------------------------------------------------+
//   
//+------------------------------------------------------------------+ 
int start() { 
   static int prevtime=0;
   if (Time[0]==prevtime) return(0);
   if (prevtime==0) {
      prevtime=Time[0];
      return(0);
   }
   prevtime=Time[0];
   
   switch (Period()) {
      case PERIOD_M1:   myPrint(PERIOD_M1);
      case PERIOD_M5:   myPrint(PERIOD_M5);
      case PERIOD_M15:  myPrint(PERIOD_M15);
      case PERIOD_M30:  myPrint(PERIOD_M30);
      case PERIOD_H1:   myPrint(PERIOD_H1);
      case PERIOD_H4:   myPrint(PERIOD_H4);
      case PERIOD_D1:   myPrint(PERIOD_D1);
      case PERIOD_W1:   myPrint(PERIOD_W1);
      case PERIOD_MN1:  myPrint(PERIOD_MN1);
   }
   return(0);   
}

void myPrint(int TimeFrame){
   Print(PeriodToStr(TimeFrame)+": ",
         TimeToStr(iTime( NULL, TimeFrame, 0),TIME_DATE)," ", 
         TimeToStr(iTime( NULL, TimeFrame, 0),TIME_MINUTES), "; C=",
                   iClose(NULL, TimeFrame, 0),"; CC0=",
                   iCustom(NULL,TimeFrame,"CurVal",tf,TestFile,0,0),"; CC1="
                   ,iCustom(NULL,TimeFrame,"CurVal",tf,false,1,0),"; CC0M1="
                   ,iCustom(NULL,tf,"CurVal",0,false,0,0)
                   );

}

string PeriodToStr(int TimeFrame){
   switch (TimeFrame){
      case PERIOD_M1 : return("M1");
      case PERIOD_M5 : return("M5");
      case PERIOD_M15: return("M15");
      case PERIOD_M30: return("M30");
      case PERIOD_H1 : return("H1");
      case PERIOD_H4 : return("H4");
      case PERIOD_D1 : return("D1");
      case PERIOD_W1 : return("W1");
      case PERIOD_MN1: return("MN1");
   }
}